Subject: Re: [Ksummit-2005-discuss] Summary of 2005 Kernel Summit Proposed Topics

From: Rick Jones <[email-masked]>
Date: Mon, 04 Apr 2005 11:57:52 -0700

> What RDMA gives us is zero-copy on receive and new networking api which
> has a potential to be HW accelerated. SoftRDMA will never avoid copying
> on receive. But benefit for SoftRDMA would be its availability on client
> sides. It is free and it could be easily deployed. Soon Intel & Co will
> give us 2,4,8... multi-core CPUs for around 200$ :), So, who cares if
> one of those cores will do receive side copying?

20 years ago, in certain circles at least, people were saying "With 32-bits of 
addressing, who cares if we allocate much memory" :)

Speaking a bit more prosaicly, if that core is sitting there churning through 
data copies, what affect does that have on the rest of the bus(ses) and the 
memory?  What else will the client want to be able to push around that those 
data copies may preclude?

rick jones